Your message dated Thu, 19 Jan 2017 10:03:27 +0000
with message-id <e1cu9z1-000bcd...@fasolo.debian.org>
and subject line Bug#850553: fixed in ant 1.9.8-3
has caused the Debian Bug report #850553,
regarding eclipse-wtp: FTBFS: java.lang.reflect.InvocationTargetException
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
850553: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=850553
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: eclipse-wtp
Version: 3.6.3-3
Severity: serious
Tags: stretch sid
User: debian...@lists.debian.org
Usertags: qa-ftbfs-20170111 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part (hopefully):
> make[1]: Entering directory '/<<PKGBUILDDIR>>'
> # Regenerate classes from EMF models
> /usr/lib/eclipse/eclipse                                                 \
>       -application org.eclipse.ant.core.antRunner                      \
>       -configuration debian/.eclipse-build/.platform/configuration     \
>       -buildfile debian/emfRegenerate.xml                              \
>       -data debian/.eclipse-build                                      \
>       -Dosgi.sharedConfiguration.area=debian/.eclipse-build/build/home \
>       -consoleLog -noSplash
> OpenJDK 64-Bit Server VM warning: ignoring option MaxPermSize=256m; support 
> was removed in 8.0
> !SESSION 2017-01-10 22:14:32.634 
> -----------------------------------------------
> eclipse.buildId=debbuild
> java.version=1.8.0_111
> java.vendor=Oracle Corporation
> BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=en_US
> Framework arguments:  -application org.eclipse.ant.core.antRunner -buildfile 
> debian/emfRegenerate.xml 
> -Dosgi.sharedConfiguration.area=debian/.eclipse-build/build/home
> Command-line arguments:  -os linux -ws gtk -arch x86_64 -application 
> org.eclipse.ant.core.antRunner -buildfile debian/emfRegenerate.xml -data 
> debian/.eclipse-build 
> -Dosgi.sharedConfiguration.area=debian/.eclipse-build/build/home -consoleLog
> 
> !ENTRY org.eclipse.osgi 4 0 2017-01-10 22:14:37.317
> !MESSAGE Application error
> !STACK 1
> java.lang.reflect.InvocationTargetException
>       at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
>       at 
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
>       at 
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
>       at java.lang.reflect.Method.invoke(Method.java:498)
>       at org.eclipse.ant.core.AntRunner.run(AntRunner.java:513)
>       at org.eclipse.ant.core.AntRunner.start(AntRunner.java:600)
>       at 
> org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
>       at 
> org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
>       at 
> org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
>       at 
> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:353)
>       at 
> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:180)
>       at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
>       at 
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
>       at 
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
>       at java.lang.reflect.Method.invoke(Method.java:498)
>       at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:629)
>       at org.eclipse.equinox.launcher.Main.basicRun(Main.java:584)
>       at org.eclipse.equinox.launcher.Main.run(Main.java:1438)
>       at org.eclipse.equinox.launcher.Main.main(Main.java:1414)
> Caused by: java.lang.IllegalAccessError
>       at 
> org.eclipse.ant.internal.core.ant.InternalAntRunner.setJavaClassPath(InternalAntRunner.java:1426)
>       at 
> org.eclipse.ant.internal.core.ant.InternalAntRunner.run(InternalAntRunner.java:561)
>       at 
> org.eclipse.ant.internal.core.ant.InternalAntRunner.run(InternalAntRunner.java:537)
>       ... 19 more
> Root exception:
> java.lang.IllegalAccessError
>       at 
> org.eclipse.ant.internal.core.ant.InternalAntRunner.setJavaClassPath(InternalAntRunner.java:1426)
>       at 
> org.eclipse.ant.internal.core.ant.InternalAntRunner.run(InternalAntRunner.java:561)
>       at 
> org.eclipse.ant.internal.core.ant.InternalAntRunner.run(InternalAntRunner.java:537)
>       at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
>       at 
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
>       at 
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
>       at java.lang.reflect.Method.invoke(Method.java:498)
>       at org.eclipse.ant.core.AntRunner.run(AntRunner.java:513)
>       at org.eclipse.ant.core.AntRunner.start(AntRunner.java:600)
>       at 
> org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
>       at 
> org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
>       at 
> org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
>       at 
> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:353)
>       at 
> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:180)
>       at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
>       at 
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
>       at 
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
>       at java.lang.reflect.Method.invoke(Method.java:498)
>       at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:629)
>       at org.eclipse.equinox.launcher.Main.basicRun(Main.java:584)
>       at org.eclipse.equinox.launcher.Main.run(Main.java:1438)
>       at org.eclipse.equinox.launcher.Main.main(Main.java:1414)
> Eclipse:
> An error has occurred. See the log file
> /<<PKGBUILDDIR>>/debian/.eclipse-build/.metadata/.log.
> debian/rules:17: recipe for target 'override_jh_compilefeatures' failed
> make[1]: *** [override_jh_compilefeatures] Error 13

The full build log is available from:
   http://aws-logs.debian.net/2017/01/11/eclipse-wtp_3.6.3-3_unstable.log

A list of current common problems and possible solutions is available at
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.

--- End Message ---
--- Begin Message ---
Source: ant
Source-Version: 1.9.8-3

We believe that the bug you reported is fixed in the latest version of
ant, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 850...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Emmanuel Bourg <ebo...@apache.org> (supplier of updated ant package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 19 Jan 2017 10:41:24 +0100
Source: ant
Binary: ant ant-gcj ant-optional ant-optional-gcj ant-doc
Architecture: source
Version: 1.9.8-3
Distribution: unstable
Urgency: medium
Maintainer: Debian Java Maintainers 
<pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Emmanuel Bourg <ebo...@apache.org>
Description:
 ant        - Java based build tool like make
 ant-doc    - Java based build tool like make - API documentation and manual
 ant-gcj    - Java based build tool like make (GCJ)
 ant-optional - Java based build tool like make - optional libraries
 ant-optional-gcj - Java based build tool like make - optional libraries (GCJ)
Closes: 850553
Changes:
 ant (1.9.8-3) unstable; urgency=medium
 .
   * Removed the newly introduced final modifier on Path.systemClasspath
     to preserve the backward compatibility and fix build failures with Eclipse
     (Closes: #850553)
   * Use a versioned dependency for junit4 (>= 4.11)
Checksums-Sha1:
 5e0f4c1ca5360ea250502afb84e9f4f735563973 2600 ant_1.9.8-3.dsc
 db5a875be6c706f8e6d9195e7666a6187b2c8537 17844 ant_1.9.8-3.debian.tar.xz
Checksums-Sha256:
 1c19c0d50d47edc051a654ea60be671f8835c3692c3a9802af12cd45011c4f05 2600 
ant_1.9.8-3.dsc
 10b4428a256afb981b10a7c37c5bb0f54e528927ca01c0856762f89fbc63a848 17844 
ant_1.9.8-3.debian.tar.xz
Files:
 092c112429f367c4a75a005041abb925 2600 java optional ant_1.9.8-3.dsc
 80a293366eab33e93d8c990c8ab4c4a0 17844 java optional ant_1.9.8-3.debian.tar.xz

-----BEGIN PGP SIGNATURE-----

iQJGBAEBCAAwFiEEuM5N4hCA3PkD4WxA9RPEGeS50KwFAliAijsSHGVib3VyZ0Bh
cGFjaGUub3JnAAoJEPUTxBnkudCs27cP/1D8J2dd39mKoGq+t1sHshomG4BX+ufE
b9XpQg0zufbfhFlC3xYkMD5d6bzmx+GNWam1ulO4FamzG2ul9NaiZk4QTIJPa/WG
8XgGwUCXXFHsE4t1yoihzHJDNphnkRg8QFXd5AygPYDxix8Vjw/ml+idzmEP+S3u
C3VVg7/0j9umkk2kTXrE3FxclbNof762sBUONLI+8e7ocGTtv1bV3UUaJhjVLKlB
NeHxd0BRPb6Wq79Ooc+HMj3pyOZZd+6QTdMHupBvn70Ac8Ie+NgY6RuxCCK3Jdyz
fFrPkuwMGSZ7GjmaBof7VJmjgQWuJizPm9jkZd5iRLoNeLbQbJ6Pzyy7i4qcB8xf
F/AoH+AeFrgccgbFqJsAwYz2cXlBza0beuxfVpaAZY49udeW4//n4EfeIkC2G7sE
BAQdW9FjNy5+xlxnH7AqUVsINYNY1NZn6h9el3kaY+1hTVIrQZJ1q6WmBn2OOSal
0Rli469Cj/H56skTNqXtTkUqXn/xPgAEikqnEqNr5IelrBtcYw9mvxeojpQ8AdWb
m4rKUQLJnCwha/qJogmH8Sj0KtLC1sil1boF2lJn4EjNym2K6Ffyvx6ELt7DU8Mq
iXA/95PBsUDn8rDutMRbvPZRxJ4gxWE1FsTPWJlaMl7kGZW+ydzTJdHAHyfMstfn
dlbqky2uuY54
=LgCT
-----END PGP SIGNATURE-----

--- End Message ---
__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to